#include "FC2704.h"
#include"leddisplay.h"
#include"adc.h"
#include"key.h"
#include"tim.h"

 //ģ,ROM
__ROM uint8_t DigTable[14]=
{
  0X3F,  //0       0
  0X06,  //1       1
  0X5B,  //2       2
  0X4F,  //3       3
  0X66,  //4       4
  0X6D,  //5       5
  0X7D,  //6       6
  0X07,  //7       7
  0X7F,  //8       8
  0X6F,  //9       9
  0X00,  //10      ո
  0X40,  //11      -
  0X73,  //12      ĸP
  0X76,  //13      ĸH
};

uint8_t u8show1=1,u8show2=4; 
uint8_t u8LedStatus=0;
uint16_t u16Count5S=0;	
uint8_t u8DisTimerSpeed=0;
bit bitTimerEn=0;
bit bitSwEn=0;//ҡͷ־λ
void led_display_ctr(void);
/******************************************************************************************************
*      ƣ
*      ܣʾ
*  ڲ
*  ڲ
*  ˵    
*      
*      ڣ2019821
*      ߣ
******************************************************************************************************/
void led_display_ctr(void)
{
  if(u8status==STATUS_0FF) 
  {
    u8show1=u8Temp/10;
    u8show2=u8Temp%10; 
  }
  else
  {
    if(bitTimerEn)
    {
      switch(u8DisTimerSpeed)
      {	
        case 1://ʾʱ
        u8LedStatus&=~BIT_SPEED;           
        u8LedStatus|=BIT_TIMER;            
        u16Count5S++;
        u8show1=u8hour;
        u8show2=13; 
        if(u16Count5S>499)
        {
          u16Count5S=0;			
          u8DisTimerSpeed=2;
        }  
        break;
		
        case 2://ʾȵλ
        u8LedStatus|=BIT_SPEED;    
        u8LedStatus&=~BIT_TIMER;  
        u16Count5S++;  
        u8show1=u8speed/10;
        u8show2=u8speed%10;	
        if(u16Count5S>499)
        {
          u16Count5S=0;			
          u8DisTimerSpeed=1;
        } 		
        break;		
      }	  
    }
    else
    {
      u8LedStatus|=BIT_SPEED;        
      u8show1=u8speed/10;
      u8show2=u8speed%10;		
    }		
  }	  
}	
/******************************************************************************************************
*      ƣ
*      ܣʾλ
*  ڲ
*  ڲ
*  ˵    
*      
*      ڣ2019821
*      ߣ
******************************************************************************************************/
void dig_io_drive(uint8_t tmp)
{
  uint8_t BitCode=DigTable[tmp];//λ   
  if(BitCode&0x01)
  {
    KEY_MODE_LED_TIMER_A_H;
  }
  else
  {
    KEY_MODE_LED_TIMER_A_L; 
  } 
    
  if(BitCode&0x02)
  {
    KEY_SW_B_H;
  } 
  else
  {
    KEY_SW_B_L;
  }
  
  if(BitCode&0x04)
  {
    LED_SPEED_C_H;
  } 
  else
  {
    LED_SPEED_C_L;
  }  
  
  if(BitCode&0x08)
  {
    KEY_INC_LED_SW_D_H;
  }  
  else 
  {
    KEY_INC_LED_SW_D_L;
  } 
  
  if(BitCode&0x10)
  {
    KEY_ONOFF_LED_SLP_E_H;
  }
  else
  {
    KEY_ONOFF_LED_SLP_E_L;
  }
  
  if(BitCode&0x20)
  {
    KEY_DEC_LED_NAT_F_H;
  }  
  else
  {
    KEY_DEC_LED_NAT_F_L;
  }  
  
  if(BitCode&0x40)
  {
    KEY_TIME_LED_NOR_G_H;
  } 
  else
  {
    KEY_TIME_LED_NOR_G_L;
  }  
}
/******************************************************************************************************
*      ƣ
*      ܣͨD1~D4ָʾλģʽ
*  ڲu8show1,u8show2ʾ  u8LedStatus LEDƿƱ־λ 
*  ڲ
*  ˵    1msִһ,ֻڲʾ
*      
*      ڣ2019821
*      ߣ
******************************************************************************************************/
void san_key_led_dispaly(void)
{
  static uint8_t u8step=0;
  switch(u8step)
  {
    //ٵһλʾ
    case 0:
    scan_key();              //ȡIOƽ,жް
    KEY_MODE_LED_TIMER_A_OUT;
    KEY_SW_B_OUT;
    LED_SPEED_C_OUT;
    KEY_INC_LED_SW_D_OUT;
    KEY_ONOFF_LED_SLP_E_OUT;  
    KEY_DEC_LED_NAT_F_OUT;
    KEY_TIME_LED_NOR_G_OUT;
    dig_io_drive(u8show1);
    COM1_EN;                //1 
    u8step=1;
    break;

    //ڵڶλʾ    
    case 1:
    COM1_DIS;  
    dig_io_drive(u8show2);
    COM2_EN;
    u8step=2;    
    break;
    
    //LEDʾ    
    case 2:
    COM2_DIS;    
    if(u8LedStatus&BIT_NAT)
    KEY_DEC_LED_NAT_F_H;
    else
    KEY_DEC_LED_NAT_F_L;        
    
    if(u8LedStatus&BIT_NOR)
    KEY_TIME_LED_NOR_G_H;
    else
    KEY_TIME_LED_NOR_G_L;

    if(u8LedStatus&BIT_SLP)
    KEY_ONOFF_LED_SLP_E_H;
    else
    KEY_ONOFF_LED_SLP_E_L;   
    
    if(u8LedStatus&BIT_TIMER)
    KEY_MODE_LED_TIMER_A_H;
    else
    KEY_MODE_LED_TIMER_A_L;
    
    if(u8LedStatus&BIT_SW)
    KEY_INC_LED_SW_D_H;
    else
    KEY_INC_LED_SW_D_L;  

    if(u8LedStatus&BIT_SPEED)
    LED_SPEED_C_H;
    else
    LED_SPEED_C_L;      
    
    COM3_EN;
    u8step=3;      
    break;
    
    //ɨ谴    
    case 3:  
    COM3_DIS;  
    KEY_MODE_LED_TIMER_A_IN;
    KEY_SW_B_IN;
    KEY_INC_LED_SW_D_IN;
    KEY_ONOFF_LED_SLP_E_IN;  
    KEY_DEC_LED_NAT_F_IN;
    KEY_TIME_LED_NOR_G_IN;  
    //Ϊ,ʱ1ms,ȥȡIOƽ
    u8step=0;
    break;
  }   
} 


