#ifndef   __UART_H
#define   __UART_H

struct STRUCT_UART
{
  uint8_t bitStartBitEnable;
  uint8_t bitUartTxdEnable;//使能发送标志位

  uint8_t u8txdBufPtr;      //发送数组下标  
  uint8_t u8txdCount;      //发送数据数量
  uint8_t u8txdStep;

  uint8_t u8rxdCount;      

  uint8_t u8rxdStep;  
  uint8_t u8cnt; 
  uint8_t u8rxdBufPtr;       
  uint8_t bitUartRxdFinish; 
  uint8_t u8UartTxdBuf[8];   
  uint8_t u8UartRxdBuf[8];  
};

extern struct STRUCT_UART struct_uart;
extern void __interrupt uart_send_10_bits(void);
extern void __interrupt uart_recive_10_bits(void);
extern void uart_ctr(void);
#endif