#ifndef   __TIM_
#define   __TIM_
struct TIMER_STRUCT
{
  uint8_t u8SecTmp;
  uint8_t u8MinTmp;
  uint8_t u8HourTmp;              
};

extern struct TIMER_STRUCT timerStruct;

extern bit bit250us;
extern bit bit1ms;
extern bit bit10ms;
extern bit bit100ms;
extern bit bitBeepEn;
extern uint8_t uint8Duty;


extern void t0_enable(void);
extern void t0_disable(void);
extern void beep_ctr(void);
extern void sw_ctr(void);
extern void silicon_control(void);
extern void timer_ctr(void);
extern void pwm_enable(void);
extern void pwm_disable(void);
#endif