#include "FC2704.h"
#include"adc.h"
#include"leddisplay.h"
#include"key.h"
#include"uart.h"


ADCVAR adcVarTemperature; 

//__ROMΪ˰ݷROM,RAMʹ
__ROM uint16_t tempTable[100]=
{
2984 	,//	0
2944 	,//	1
2908 	,//	2
2872 	,//	3
2836 	,//	4
2800 	,//	5
2763 	,//	6
2726 	,//	7
2689 	,//	8
2652 	,//	9
2620 	,//	10
2577 	,//	11
2539 	,//	12
2501 	,//	13
2463 	,//	14
2425 	,//	15
2387 	,//	16
2350 	,//	17
2312 	,//	18
2274 	,//	19
2236 	,//	20
2198 	,//	21
2160 	,//	22
2123 	,//	23
2085 	,//	24
2048 	,//	25
2011 	,//	26
1974 	,//	27
1937 	,//	28
1900 	,//	29
1864 	,//	30
1828 	,//	31
1792 	,//	32
1756 	,//	33
1721 	,//	34
1686 	,//	35
1652 	,//	36
1617 	,//	37
1617 	,//	38
1549 	,//	39
1516 	,//	40
1483 	,//	41
1451 	,//	42
1419 	,//	43
1387 	,//	44
1356 	,//	45
1325 	,//	46
1295 	,//	47
1265 	,//	48
1235 	,//	49
1206 	,//	50
1178 	,//	51
1150 	,//	52
1122 	,//	53
1095 	,//	54
1069 	,//	55
1042 	,//	56
1017 	,//	57
992 	,//	58
967 	,//	59
943 	,//	60
920 	,//	61
896 	,//	62
874 	,//	63
852 	,//	64
830 	,//	65
809 	,//	66
789 	,//	67
768 	,//	68
749 	,//	69
730 	,//	70
711 	,//	71
692 	,//	72
674 	,//	73
657 	,//	74
640 	,//	75
624 	,//	76
607 	,//	77
592 	,//	78
576 	,//	79
562 	,//	80
547 	,//	81
533 	,//	82
519 	,//	83
506 	,//	84
498 	,//	85
480 	,//	86
468 	,//	87
456 	,//	88
444 	,//	89
433 	,//	90
422 	,//	91
411 	,//	92
401 	,//	93
390 	,//	94
380 	,//	95
371 	,//	96
361 	,//	97
353 	,//	98
344 	,//	99
}; 

uint8_t u8Temp=0;
/******************************************************************************************************
*      : ʼADC
*      ܣѡòͨͲοѹ
*  ڲ   
*  ڲ
*      ڣ2019.9.28
*      ߣ
******************************************************************************************************/
#define   B_AIN5    0x20 
//#define   AIN5    0x05 
void adc_init(void)
{

  //λ
  P3M   &=~(B_AIN5);        //ӦADűΪ


  ADPCON = (B_AIN5);        //رնӦADŵʩش
  VREFH =0x03;   //ڲοѹ:  VDD:0x03   4.0V:0x02   3.0V:0x01    2.0V:0x00
  ADR   =0x20;
  ADM   =0x95;   //ѡADͨ
}
/******************************************************************************************************
*      : voivoid get_adc(ADCVAR *adcvar)
*      ܣѯADCתģʽ,жģʽ
*  ڲ   
*  ڲ
*      ڣ2019.7.1
*      ߣ
******************************************************************************************************/
void get_adc(ADCVAR *adcvar)
{
  if(ADM==0x00)
  {
    adc_init();  
  }
  ADS =1;                            //ʼADCת 
  while(ADS);                        //ȴADCת
  adcvar->u16AdcNow=ADB;         
  adcvar->u16AdcNow<<=4;
  adcvar->u16AdcNow +=(ADR&0x0F);
}
/******************************************************************************************************
*      : ADC_Filter 
*      ܣADC˲
*  ڲ   
*  ڲ
*      ڣ2019.6.15
*      ߣ
******************************************************************************************************/
#define   N      16
void adc_filter(ADCVAR *adcvar)
{     

 //   if(adcvar->u16AdcNow==adcvar->u16AdcLast)
    {
	  switch(adcvar->u8Step)
	  {
		case 0:
		{
		  adcvar->sum=adcvar->u16AdcNow;
		  adcvar->min=adcvar->u16AdcNow;
		  adcvar->max=adcvar->u16AdcNow;
		  adcvar->cnt=1;                //һֵ
		  adcvar->u8Step=1;
		}
		break;
	
		case 1:
		if(adcvar->u16AdcNow>adcvar->max)
		{
		  adcvar->max=adcvar->u16AdcNow;            //ֵ	
		}	
		else if(adcvar->u16AdcNow<adcvar->min)
		{
		  adcvar->min=adcvar->u16AdcNow;            //Сֵ
		}
		adcvar->sum+=adcvar->u16AdcNow;             //׷ӵֵ
		adcvar->cnt++;
		if(adcvar->cnt>(N-1))
		{	
		  adcvar->sum=adcvar->sum-adcvar->max-adcvar->min;//ƽֵ=(ֵ-ֵ-Сֵ)/(г-2)
		  adcvar->u16AdcFilterValue=adcvar->sum/(N-2);  
		  //adcvar->cnt=0;
		  adcvar->u8Step=0;
          adcvar->u8adcFinish=1;
		}
		break;
	 
		default:
		{
		//  adcvar->cnt=0;
		  adcvar->u8Step=0;
		}
		break;
	  }  		  		
    }	 
}
/******************************************************************************************************
*      ƣvoid show_temp(void)
*      ܣʾ¶
*  ڲ: u8statusػ״̬
*  ڲu8show1,u8show2  ¶ʾ
*  ˵    :ֻڹػ״̬ʾ¶
*      ڣ2017.11.18
*      ߣм
******************************************************************************************************/
void get_temp(void)
{
  uint8_t i=0,u8step=0;
  if(u8status==STATUS_0FF)
  {	  
    if(struct_uart.bitUartTxdEnable==0)
	{
      get_adc(&adcVarTemperature);      
      adc_filter(&adcVarTemperature);
	}     
    if(adcVarTemperature.u8adcFinish)
    {
      adcVarTemperature.u8adcFinish=0; 
      switch(u8step)
      {
        case 0://ȷһŵ¶
        for(i=0;i<100;i++)
        {
          if(adcVarTemperature.u16AdcFilterValue>=tempTable[i])
          {
            u8Temp=i;  
            break;  
          }  
        }
		u8step=1;
	    break;	

		case 1:
		if(adcVarTemperature.u16AdcFilterValue<tempTable[u8Temp])
		{
		  if((tempTable[u8Temp]-adcVarTemperature.u16AdcFilterValue)>12)
		  {
		    if(u8Temp<98)
		    u8Temp++;
		  }	  
		}

		if(adcVarTemperature.u16AdcFilterValue>tempTable[u8Temp])
		{
		  if((adcVarTemperature.u16AdcFilterValue-tempTable[u8Temp])>12)
		  {
		    if(u8Temp>0)
		    u8Temp--;
		  }	
		  //u8step=2;  
		}		
		break;	

		//case 2://Ŷ¶ȸת1
		//break;
      } 
    }
  }  
}




