#include "FC2704.h"
#include"key.h"
#include"adc.h"
#include"leddisplay.h"
#include"tim.h"

struct _SWITCH_STRUCT
{
  uint8_t bitStatus;             //ر־λ    
  uint8_t u8count;              //   
  uint8_t u8count2;              //   
}; 

uint8_t u8status=STATUS_0FF;
uint8_t u8speed=8;
uint8_t u8hour=0;//Ĭжʱ


struct KEY_STRUCT structKey[KEY_MAX];    
//SWITCH_STRUCT struct5vIn={0,0,0};
/******************************************************************************************************
*      ƣvoid key_service(void)
*      ܣ
*  ڲ̰־λ
*  ڲbitBeepEnƷ־λ,u8statusָʾػ״̬
*  ˵    
*      
*      ڣ2020311
*      ߣм
******************************************************************************************************/
void key_service(void)
{
  uint8_t i=0;
  switch(u8status)
  {
    case STATUS_0FF: 
      if(structKey[KEY_ONOFF].bitShortClick)
      {
        for(i=0;i<KEY_MAX;i++)       //а־λ
        structKey[i].bitShortClick=0; 
        u8hour=0;		
        u8speed=8;		
        bitBeepEn=1;//һ
        u8LedStatus|=BIT_SPEED+BIT_NOR;
        if(bitSwEn)
          u8LedStatus|=BIT_SW;
        u8status=STATUS_ON;//
      }  
    break;
    
    case STATUS_ON:
      if(structKey[KEY_ONOFF].bitShortClick)
      {
        structKey[KEY_ONOFF].bitShortClick=0; 
        u8LedStatus=0;//LEDƱ־λȫ
        bitTimerEn=0;
        bitBeepEn=1;//һ
        u8status=STATUS_0FF;//ػ
      } 
      
      if(structKey[KEY_SW].bitShortClick)
      {
        structKey[KEY_SW].bitShortClick=0;  
        bitBeepEn=1;//һ        
        u8LedStatus^=BIT_SW;          //ҡͷLED־λת
        if(u8LedStatus&BIT_SW)
          bitSwEn=1;
        else 
          bitSwEn=0;
      }  
      
      if(structKey[KEY_MODE].bitShortClick)
      {
        structKey[KEY_MODE].bitShortClick=0;
        switch(u8LedStatus&(BIT_NOR+BIT_NAT+BIT_SLP))
        {
          case BIT_NOR:
          u8LedStatus&=~BIT_NOR;
          u8LedStatus|=BIT_NAT;
          break;
		  
          case BIT_NAT:
          u8LedStatus&=~BIT_NAT;
          u8LedStatus|=BIT_SLP;		  
          break;
		  
          case BIT_SLP:
          u8LedStatus&=~BIT_SLP;	
          u8LedStatus|=BIT_NOR;			
          break;		    
        }	
        bitBeepEn=1;//һ        
      }   

      if(structKey[KEY_DEC].bitShortClick)
      {
        structKey[KEY_DEC].bitShortClick=0;	
        if(u8speed>1)
        {	
          u16Count5S=299;	
          u8DisTimerSpeed=2;		
          u8speed--; 		  
          bitBeepEn=1;//һ        
        }       
      }
      
      if(structKey[KEY_INC].bitShortClick)
      {
        structKey[KEY_INC].bitShortClick=0;  

        if(u8speed<12)
        {	
          u16Count5S=299;	
          u8DisTimerSpeed=2;		  
          u8speed++;  			
          bitBeepEn=1;//һ        
        }        
      } 
      
      if(structKey[KEY_TIME].bitShortClick)
      {
        structKey[KEY_TIME].bitShortClick=0;  
        //timerStruct={0,0,0};
        timerStruct.u8SecTmp=0;
        timerStruct.u8MinTmp=0;
        timerStruct.u8HourTmp=0;
        u8DisTimerSpeed=1;
        bitBeepEn=1;//һ 
        if(u8hour)
        {
          u16Count5S=299;
          if(u8hour<9)
          {
            u8hour++; 			
          }
          else 
          {
            u8hour=0;
            bitTimerEn=0;//λʱ־λ            
            u8LedStatus&=~BIT_TIMER;            
          }				
        }
        else
        {
          u8hour=1;	
          bitTimerEn=1;//λʱ־λ
          u8LedStatus|=BIT_TIMER;
        }			
      }          
    break;
  }  
}  
/******************************************************************************************************
*      ƣvoid scan_key(void)
*      ܣؼ
*  ڲ
*  ڲ̰־λ
*  ˵    ֻⰴλӦ־λ,
*      
*      ڣ2020311
*      ߣм
******************************************************************************************************/
#define KEY_COUNT     20         //¶೤ʱΪЧ
void scan_key(void)
{     
  if(P_KEY_SW)
  {  
    structKey[KEY_SW].u8count=0;
    structKey[KEY_SW].bitLock=0;
  }        
  else if(structKey[KEY_SW].bitLock==0)
  {
    structKey[KEY_SW].u8count++;    
    if(structKey[KEY_SW].u8count>KEY_COUNT)
    {
      structKey[KEY_SW].bitShortClick=1;  
      structKey[KEY_SW].bitLock=1;
    }	  
  }  
  
  if(P_KEY_MODE)
  {  
    structKey[KEY_MODE].u8count=0;
    structKey[KEY_MODE].bitLock=0;
  }        
  else if(structKey[KEY_MODE].bitLock==0)
  {
    structKey[KEY_MODE].u8count++;    
    if(structKey[KEY_MODE].u8count>KEY_COUNT)
    {
      structKey[KEY_MODE].bitShortClick=1;  
      structKey[KEY_MODE].bitLock=1;
    }	  
  }

  if(P_KEY_DEC)
  {  
    structKey[KEY_DEC].u8count=0;
    structKey[KEY_DEC].bitLock=0;
  }        
  else if(structKey[KEY_DEC].bitLock==0)
  {
    structKey[KEY_DEC].u8count++;    
    if(structKey[KEY_DEC].u8count>KEY_COUNT)
    {
      structKey[KEY_DEC].bitShortClick=1;  
      structKey[KEY_DEC].bitLock=1;
    }	  
  }  
  
  if(P_KEY_INC)
  {  
    structKey[KEY_INC].u8count=0;
    structKey[KEY_INC].bitLock=0;
  }        
  else if(structKey[KEY_INC].bitLock==0)
  {
    structKey[KEY_INC].u8count++;    
    if(structKey[KEY_INC].u8count>KEY_COUNT)
    {
      structKey[KEY_INC].bitShortClick=1;  
      structKey[KEY_INC].bitLock=1;
    }	  
  }

  if(P_KEY_ONOFF)
  {  
    structKey[KEY_ONOFF].u8count=0;
    structKey[KEY_ONOFF].bitLock=0;
  }        
  else if(structKey[KEY_ONOFF].bitLock==0)
  {
    structKey[KEY_ONOFF].u8count++;    
    if(structKey[KEY_ONOFF].u8count>KEY_COUNT)
    {
      structKey[KEY_ONOFF].bitShortClick=1;  
      structKey[KEY_ONOFF].bitLock=1;
    }	  
  }  
  
  if(P_KEY_TIME)
  {  
    structKey[KEY_TIME].u8count=0;
    structKey[KEY_TIME].bitLock=0;
  }        
  else if(structKey[KEY_TIME].bitLock==0)
  {
    structKey[KEY_TIME].u8count++;    
    if(structKey[KEY_TIME].u8count>KEY_COUNT)
    {
      structKey[KEY_TIME].bitShortClick=1;  
      structKey[KEY_TIME].bitLock=1;
    }	  
  }  
  
}



