#include "FC2704.h"
#include"rf.h"
#include"key.h"
uint8_t IrData=0;
bit bitIrOk=0;

/******************************************************************************************************
*  名    称：void scan_ir(void)
*  功    能：扫描IR接口，接收到数据后进行解码,此函数需要250US调用一次   HS9148红外遥控解码
*  入口参数：无
*  出口参数：bitIrOk    IrData
*  日    期：2020.3.16
*  作    者：茗风
******************************************************************************************************/  



void scan_ir(void)
{
#if 0
  switch(u8Step)
  {
    case 0:
    {
      if(P_IR)
		    {
		      Cnt=0;
		      u8Step=1;
		    }
	   }

    case 1:
    {	 
	     Cnt++;
		    //小于4.5ms退出
	     if(P_IR==0)
		    {
	       if((Cnt>13)&&(Cnt<22))
        {
		        u8Step=2;
			       Cnt=0;
          irDataBit=0;  			
		      }
		      else
		      {
		        u8Step=0; 	  
		      }	    			  
		    }
		    else
		    {
		      if(Cnt>19)
		      { 	
	         u8Step=0;
        }
		    }
    }
    break;

    case 2:
    {
	     Cnt++;
	     if(P_IR==1)
		    {
		      Cnt=0;
	        u8Step=3;		
		    }
		    if(Cnt>3)
		    {
	       u8Step=0;
		    }	
    }
    break;
	  
    case 3:
    {	
		    Cnt++;	
	     if(P_IR==0)
		    {
	       if((Cnt>1)&&(Cnt<9))
        {
		        u8Step=4;    	  
		      }
		      else
		      {
		        u8Step=0; 			
		      }	  	  			  
		    }	
    }
    break;	  
  
    case 4:
    { 
      if(P_IR==0)
	     {
	       data4>>=1;
	       if(data3&0x01)data4|=0x80;
	       data3>>=1;
	       if(data2&0x01)data3|=0x80;
	       data2>>=1;
	       if(data1&0x01)data2|=0x80;
	       data1>>=1;
	       if(Cnt>5)data1|=0x80;    
		      Cnt=0; 
		  
	       irDataBit++;  
        if(irDataBit>31)
        {
	         u8Step=5;//进行校验	  
	       }		  
	       else
	       {
		        u8Step=2;  
	       }	  
	     }			
    }
    break;  
  
    case 5:
    {
		    if((data4==C_CUST_H)&&(data3==C_CUST_L)&&(data2==(data1^0xFF)))
	    	{ 
		        bitIrOk=1;  
		    }
	     u8Step=0;
    }
    break;   
  }
#endif
}
/******************************************************************************************************
*  名    称：void ir_service(void)
*  功    能：
*  入口参数：bitIrOk    IrData
*  出口参数：无
*  日    期：2020.3.16
*  作    者：茗风
******************************************************************************************************/  
void ir_service(void)
{
  if(bitIrOk)
  {  
    bitIrOk=0;
    switch(IrData)
    {
      case C_ONOFF:
      structKey[KEY_ONOFF].bitShortClick=1; 
      break;

      case C_TIMER:
      structKey[KEY_TIME].bitShortClick=1; 
      break;    
      
      case C_SW:
      structKey[KEY_SW].bitShortClick=1; 
      break;
      
      case C_INC:
      structKey[KEY_INC].bitShortClick=1; 
      break; 
      
      case C_DEC:
      structKey[KEY_DEC].bitShortClick=1; 
      break;   
      
      case C_MODE:
      structKey[KEY_MODE].bitShortClick=1; 
      break;       
    }
  }    
}