/*






*/
#include "FC2704.h"
#include "system.h"


unsigned char eepromFlag=0;//==0,no write,==1,Ѿ

unsigned char key1Statue=0;
unsigned char key1Flag=0;
unsigned char key1DoFlag=0;
unsigned char key2Statue=0;
unsigned char key2Flag=0;
unsigned char key2DoFlag=0;

unsigned char key1f=0;//
unsigned char key2f=0;//

unsigned char adc1L=0;//
unsigned char adc1H=0;//
unsigned char adc2L=0;//
unsigned char adc2H=0;//
unsigned char adc3L=0;//
unsigned char adc3H=0;//

unsigned char oldAdc1=0;
unsigned char oldAdc2=0;
unsigned char oldAdc3=0;

long unsigned int adc1=0;
long unsigned int adc2=0;
long unsigned int adc3=0;

unsigned char adcFlag=0;//
//----------------------------
unsigned char	tFlag=0;
unsigned char	k1Flag=0;
unsigned char	k2Flag=0;

long unsigned int rladdr=0;

long unsigned int laddr=0;
//=============================================================================
/*-----------------------------------------------------------------------------
							ϵͳʼ

أ
˵
ע
P31-------AIN1
P32-------AIN2
P33-------AIN3

P34-------Key1
P35-------Key2

P14-------PWM1
P15-------PWM2
P16-------PWM3

------------------------------------------------------------------------------*/
void system_init(void)
{
	OPTION=0xE0;//wtd  ==1024
	__asm{MOV 0XE0,A};	
	PEDGE=0x00;//
	__asm{MOV 0XBF,A};
	
	P1M=0xff;//
//	__asm{MOV 0XC1,A};
	P1UR=0xff;//
//	__asm{MOV 0XE1,A};
//---test	ܲ
	P2M=0xff;
	P2UR=0xff;//
	P2W=0;
//-------------	
	P3M=0x00;
	P3UR=0xf0;
//--	
	AdcInit();//
	TimerXInit();
	EepromInit();
	
}
/*-----------------------------------------------------------------------------
							Ź

أ
˵
ע


------------------------------------------------------------------------------*/
void	FeedWatchDog(void)
{
	WDTR=0x5Au;
}
/*-----------------------------------------------------------------------------
							ADCʼ

أ
˵
ע


------------------------------------------------------------------------------*/
void	AdcInit(void)
{
	ADM=0X00;	//adc

//------	
	VREFH=0x03;//vdd
	ADR=0;//ADCʱԴ[Fcpu/8]
	ADPCON=0x0f;//

	ADM=0xB3;//
	ADR=0X00;//8
	DelayUs(150);	//100us		
	
	
	
}
/*-----------------------------------------------------------------------------
							жϺ

أ
˵
ע


------------------------------------------------------------------------------*/
void __interrupt[0x08] Intx(void)
{
	INTRQ=0;
	INTRQ1=0;

	if(tFlag==0)
	{
		FP13=1;
		tFlag=1;
	}
	else
	{
		FP13=0;
		tFlag=0;
	}
//--
	if(FP34==0)
	{
		key1Statue=0;//

		if(key1Flag==0)
		{
			key1DoFlag=1;
		}	

	}
	else
	{
		if(key1Statue==0)
		{
			key1Flag=0;//
		}
		key1Statue=1;//

	}	
//--	
	if(FP35==0)
	{
		key2Statue=0;//

		if(key2Flag==0)
		{
			key2DoFlag=1;
		}	

	}
	else
	{
		if(key2Statue==0)
		{
			key2Flag=0;//
		}
		key2Statue=1;//

	}		
	
	adcFlag=1;//
		
	
}
/*-----------------------------------------------------------------------------
							ӳٺ

أ
˵
ע


------------------------------------------------------------------------------*/
void DelayUs(unsigned char i)
{
	while(i--);

}
/*-----------------------------------------------------------------------------
							PWM趨

أ
˵
ע


------------------------------------------------------------------------------*/
void TimerXInit(void)
{

//--00 01-----[++++85ms+++++]
	INTRQ=0;
	INTRQ1=0;

	TM0CL=0x00;
	TM0CH=0xf0;		
	TM0M=0x83;//= 001Fcpu/1	
		
	TM0IE=1;//ʵ====0.	
	FGIE=1;	
	
	TM1C=0x80;//40---32us[80---21us]
//--
	TM1D0=0x7f;//p14
	TM1D1=0xff;//p15
	TM1D2=0xC0;//p16

//--	
	TM1M=0xE3;//·ѡƵʡ
	PWM1E=0xF7;//
//	T0TR=1;//
	INTRQ=0;//
	INTRQ1=0;//
	
	

}

/*-----------------------------------------------------------------------------
							EEPROM

أ
˵
ע


------------------------------------------------------------------------------*/
void	EepromErase(void)
{
	
	E2PCON|=1<<2;
	E2P_CPE=1;
	while(E2P_CPE)
	{		
		FeedWatchDog();
	}
}
/*-----------------------------------------------------------------------------
							EEPROMд

أ
˵
ע


------------------------------------------------------------------------------*/
void EepromWrite(long unsigned int add,unsigned char n)
{
long unsigned int al=0;
	al=add;		
	E2PADL=al&0xff;
	al=al>>8;
	E2PADH=al;
	
	E2PDB=n;
	E2P_PG=1;
	while(E2P_RD)
	{
		FeedWatchDog();
		
	}
}

/*-----------------------------------------------------------------------------
							EEPROM

أ
˵
ע


------------------------------------------------------------------------------*/
unsigned char EepromRead(long unsigned int add)
{
long unsigned int al=0;
unsigned char rv=0;
	E2PDB=0;
	al=add;		
	E2PADL=al&0xff;
	al=al>>8;
	E2PADH=al;
	
	E2P_RD=1;
	DelayUs(100);

	rv=E2PDB;
return rv;	
}
/*-----------------------------------------------------------------------------
							ADC

أ
˵
ע
------------------------------------------------------------------------------*/
void	GetAdcValue(void)
{
	ADR=0X00;	// 8
	ADM=0XB1;	//ͨ1
	
	DelayUs(150);	//100us	
	ADS=1;//	
		
	while(ADS)
	{
		FeedWatchDog();
	}
//--	

	adc1L=ADR;//
	adc1H=ADB;//
	adc1L=adc1L&0x0f;	
	adc1=adc1H;
	adc1=adc1<<4;
	adc1=adc1+adc1L;
////////////////////////////////	
	ADR=0X00;	// 8
	ADM=0XB2;	//ͨ2
	
	DelayUs(150);	//100us	
	ADS=1;//	
		
	while(ADS)
	{
		FeedWatchDog();
	}
//--	

	adc2L=ADR;//
	adc2H=ADB;//
	adc2L=adc2L&0x0f;	
	
	adc2=adc2H;
	adc2=adc2<<4;
	adc2=adc2+adc2L;	
//////////////////////////////////	
	ADR=0X00;	// 8
	ADM=0XB3;	//ͨ3
	
	DelayUs(150);	//100us	
	ADS=1;//	
		
	while(ADS)
	{
		FeedWatchDog();
	}
//--	
	adc3L=ADR;//
	adc3H=ADB;//
	adc3L=adc3L&0x0f;	
	
	adc3=adc3H;
	adc3=adc3<<4;
	adc3=adc3+adc3L;
	
				
}
/*-----------------------------------------------------------------------------
							

أ
˵
ע


------------------------------------------------------------------------------*/
void	KeyValue(void)
{
unsigned char tb=0,vb=0;	
	if((key1DoFlag==1)&&(key1Flag==0))
	{//䰴
//----	

		vb=EepromRead(4);
		if(vb==0)
		{
			FP21=0;
		}
		else
		{
			FP21=1;
		}	
		EepromErase();//
		EepromWrite(4,1);//
		
		EepromWrite(5,0);//
		EepromWrite(6,adc1L);
		EepromWrite(7,adc1H);		
		EepromWrite(8,adc2L);
		EepromWrite(9,adc2H);		
		EepromWrite(10,adc3L);				
		EepromWrite(11,adc3H);		
		
			
		key1DoFlag=0;
		key1Flag=1;	

	}
//---	
	if((key2DoFlag==1)&&(key2Flag==0))
	{//
	
//------
		vb=EepromRead(4);
		if(vb==0)
		{
			FP22=0;
		}
		else
		{
			FP22=1;			
		}			
		
		EepromErase();//
		EepromWrite(4,0);//
		
		EepromWrite(5,0);//		
		EepromWrite(6,0);
		EepromWrite(7,0);		
		EepromWrite(8,0);
		EepromWrite(9,0);		
		EepromWrite(10,0);				
		EepromWrite(11,0);


		key2DoFlag=0;
		key2Flag=1;		

	}	
	
	
}
/*-----------------------------------------------------------------------------
							EEPROM

أ
˵
ע


------------------------------------------------------------------------------*/
void EepromInit(void)
{
//--	
	E2PCON=0;
	E2PADH=0;
	E2PADL=0;
	E2PDB =0;
	
}

/*-----------------------------------------------------------------------------
							ʾԺ

أ
˵
עʹ


------------------------------------------------------------------------------*/
void ALed(unsigned char l)
{
unsigned char bl=0,ll=0;	
	
	
			bl=l;

	
			ll=bl&8;
			if(ll>0)
			{
				FP22=1;
			}
			else
			{
				FP22=0;
			}	
//-----------			
			ll=bl&4;
			if(ll>0)
			{
				FP21=1;
			}
			else
			{
				FP21=0;
			}				
//-----------			
			ll=bl&2;
			if(ll>0)
			{
				FP12=1;
			}
			else
			{
				FP12=0;
			}	
//-----------						
			ll=bl&1;
			if(ll>0)
			{
				FP11=1;
			}
			else
			{
				FP11=0;
			}	
	
	/*
	if(adcFlag==1)
	{
		bl=adc1/256;
		if(bl>0)
		{
			ll=bl&8;
			if(ll>0)
			{
				FP35=1;
			}
			else
			{
				FP35=0;
			}	
//-----------			
			ll=bl&4;
			if(ll>0)
			{
				FP34=1;
			}
			else
			{
				FP34=0;
			}				
//-----------			
			ll=bl&2;
			if(ll>0)
			{
				FP12=1;
			}
			else
			{
				FP12=0;
			}	
//-----------						
			ll=bl&1;
			if(ll>0)
			{
				FP11=1;
			}
			else
			{
				FP11=0;
			}				
		}
		else
		{
			FP35=0;
			FP34=0;
			FP12=0;
			FP11=0;
		}	
		
		adcFlag=0;//
	}
	*/
}
/*-----------------------------------------------------------------------------
							ADC-PWM

أ
˵
ע


------------------------------------------------------------------------------*/
void	AdcCheck(void)
{
unsigned char badc1=0,badc2=0,badc3=0;	
	badc1=adc1/32;
	badc2=adc2/32;
	badc3=adc3/32;
//--

	if(badc1!=oldAdc1)
	{

		if(adc1>4090)
		{
			badc1=0;
		}	
		else
		{
			badc1=badc1+128;
		}			
		PWM10E=0;
		TM1D0=badc1;
		PWM10E=1;
	}
	
	if(badc2!=oldAdc2)
	{
		
		if(adc2>4090)
		{
			adc2=0;
		}	
		else
		{
			badc2=badc2+128;
		}		
		PWM11E=0;//
		TM1D1=badc2;
		PWM11E=1;//
	}
	
	if(badc3!=oldAdc3)
	{
		
		if(adc3>4090)
		{
			adc3=0;
		}	
		else
		{
			badc3=badc3+128;
		}		
		PWM12E=0;
		TM1D2=badc3;
		PWM12E=1;
	}		
		

//--
	oldAdc1=badc1;
	oldAdc2=badc2;
	oldAdc3=badc3;
}

/*-----------------------------------------------------------------------------
							

أ
˵
ע


------------------------------------------------------------------------------*/


/*-----------------------------------------------------------------------------
							

أ
˵
ע


------------------------------------------------------------------------------*/



/*-----------------------------------------------------------------------------
							

أ
˵
ע


------------------------------------------------------------------------------*/



/*-----------------------------------------------------------------------------
							

أ
˵
ע


------------------------------------------------------------------------------*/



/*-----------------------------------------------------------------------------
							

أ
˵
ע


------------------------------------------------------------------------------*/



/*-----------------------------------------------------------------------------
							

أ
˵
ע


------------------------------------------------------------------------------*/



/*-----------------------------------------------------------------------------
							

أ
˵
ע


------------------------------------------------------------------------------*/



/*-----------------------------------------------------------------------------
							

أ
˵
ע


------------------------------------------------------------------------------*/



/*-----------------------------------------------------------------------------
							

أ
˵
ע


------------------------------------------------------------------------------*/



/*-----------------------------------------------------------------------------
							

أ
˵
ע


------------------------------------------------------------------------------*/





































































































































































































































































